org.apache.ignite.internal.util.offheap.unsafe

## Interface GridOffHeapSmartPointerFactory<T extends GridOffHeapSmartPointer>

    public interface GridOffHeapSmartPointerFactory<T extends GridOffHeapSmartPointer>

Factory to create smart pointer instances.

### Method Summary

Methods
`T` `createPointer(long ptr)`

### Method Detail

#### createPointer

    T createPointer(long ptr)

Parameters:
  `ptr` - Pointer.
Returns:
  Smart pointer instance (may or may not return the same instance multiple times).

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016